<?php

namespace Drupal\Tests\watson_form_parser\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\watson_form_parser\Form\WatsonFormEntityForm;

/**
 * Test description.
 *
 * @group watson_form_parser
 *
 * @coversDefaultClass \Drupal\watson_form_parser\Form\WatsonFormEntityForm
 */
class WatsonFormEntityFormTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = ['watson_form_parser', 'webform', 'system', 'user'];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    $this->installEntitySchema('watson_form_entity');
    $this->installEntitySchema('user');
    $this->installSchema('system', ['sequence']);
    $this->installSchema('webform', ['webform']);
    // Mock required services here.
  }

}
